Bug 1130914 - [abrt] psi: _xend(): psi killed by SIGSEGV
Summary: [abrt] psi: _xend(): psi killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: psi
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c515809f6a37998a799bf4e29ff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 07:56 UTC by Denis Kostousov
Modified: 2015-06-29 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:07:24 UTC


Attachments (Terms of Use)
File: backtrace (26.77 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: cgroup (182 bytes, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: core_backtrace (13.96 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: dso_list (10.42 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: environ (3.50 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: maps (50.64 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: open_fds (1.27 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: var_log_messages (1.98 KB, text/plain)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-08-18 07:56 UTC, Denis Kostousov
no flags Details

Description Denis Kostousov 2014-08-18 07:56:01 UTC
Description of problem:
Just start psi

Version-Release number of selected component:
psi-0.15-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        psi
crash_function: _xend
executable:     /usr/bin/psi
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _xend at ../nptl/sysdeps/unix/sysv/linux/x86/elision-unlock.c:33
 #1 __lll_unlock_elision at ../nptl/sysdeps/unix/sysv/linux/x86/elision-unlock.c:29
 #2 __pthread_mutex_unlock_usercnt at pthread_mutex_unlock.c:66
 #3 __pthread_mutex_unlock at pthread_mutex_unlock.c:310
 #4 _pkcs1h_threading_mutexReleaseAll at pkcs11h-threading.c:337
 #5 __pkcs11h_threading_atfork_child at pkcs11h-core.c:1257
 #6 __libc_fork at ../nptl/sysdeps/unix/sysv/linux/fork.c:188
 #7 QProcessPrivate::startProcess at io/qprocess_unix.cpp:679
 #8 QProcess::start at io/qprocess.cpp:1998
 #9 doStart at gpgproc/gpgproc.cpp:369

Comment 1 Denis Kostousov 2014-08-18 07:56:05 UTC
Created attachment 927710 [details]
File: backtrace

Comment 2 Denis Kostousov 2014-08-18 07:56:06 UTC
Created attachment 927711 [details]
File: cgroup

Comment 3 Denis Kostousov 2014-08-18 07:56:08 UTC
Created attachment 927712 [details]
File: core_backtrace

Comment 4 Denis Kostousov 2014-08-18 07:56:09 UTC
Created attachment 927713 [details]
File: dso_list

Comment 5 Denis Kostousov 2014-08-18 07:56:10 UTC
Created attachment 927714 [details]
File: environ

Comment 6 Denis Kostousov 2014-08-18 07:56:12 UTC
Created attachment 927715 [details]
File: limits

Comment 7 Denis Kostousov 2014-08-18 07:56:14 UTC
Created attachment 927716 [details]
File: maps

Comment 8 Denis Kostousov 2014-08-18 07:56:15 UTC
Created attachment 927717 [details]
File: open_fds

Comment 9 Denis Kostousov 2014-08-18 07:56:17 UTC
Created attachment 927718 [details]
File: proc_pid_status

Comment 10 Denis Kostousov 2014-08-18 07:56:18 UTC
Created attachment 927719 [details]
File: var_log_messages

Comment 11 Denis Kostousov 2014-08-18 07:56:19 UTC
Created attachment 927720 [details]
File: exploitable

Comment 12 Sven Lankes 2014-08-18 07:58:20 UTC
Any idea what you did when this happened?

Comment 13 Denis Kostousov 2014-09-22 12:12:38 UTC
Psi died during external prog invocation. A first crash occurs Drop occurred immediately after the start. I think the cause of this crash are gpg invocation.
Next crash occurs after I press on http link in a message.

Comment 14 Fedora End Of Life 2015-05-29 12:39:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 22:07:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.